<?php
class memberControl extends skymvc{
	public $user;
	public function __construct(){
		parent::__construct();
		$this->loadModel(array("login","user"));
		$this->user=$user=$this->login->getUser(get('userid','i'));
		if(!in_array(get('a'),array("","default"))){
			if(empty($user)){
				$this->gomsg($this->lang['user_no_exists'],"/index.php");
			}
		}
		if($user['userid']==$this->login->userid){
			$this->smarty->assign("heorme",'我的');
		}else{
			$this->smarty->assign("heorme",'她的');
		}
		$this->smarty->assign("user",$user);
	}
	
	public function onDefault(){
		
		$this->smarty->display("member/index.html");
	}
	
	public function onHome(){
		
		$this->smarty->display("member/home.html");
	}
	
	public function onTop(){
		$this->smarty->display("member/top.html");
	}
	
}

?>